Summary:	X Keyboard Configuration Database
Summary(pl.UTF-8):	Baza danych konfiguracji klawiatury pod X
Name:		xkeyboard-config
Version:	2.22
Release:	1
License:	MIT
Group:		X11/Development/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/data/xkeyboard-config/%{name}-%{version}.tar.bz2
# Source0-md5:	eb61fb3fd419e817df572b0c8d94a883
URL:		https://www.freedesktop.org/wiki/Software/XKeyboardConfig
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	intltool >= 0.30
BuildRequires:	rpmbuild(macros) >= 1.446
BuildRequires:	xorg-app-xkbcomp
BuildRequires:	xorg-util-util-macros >= 1.12
# for sinhala layouts
Requires:	xorg-lib-libX11 >= 1.4.3
Provides:	xorg-data-xkbdata
Obsoletes:	xorg-data-xkbdata < 0.9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The non-arch keyboard configuration database for X Window System. The
goal is to provide the consistent, well-structured, frequently
released open source of X keyboard configuration data for X Window
System implementations (free, open source and commercial). The project
is targeted to XKB-based systems.

%description -l pl.UTF-8
Niezależna od architektury baza danych konfiguracji klawiatury dla
systemu X Window. Celem jest dostarczenie spójnych, dobrze
zbudowanych, często wydawanych danych konfiguracji klawiatury pod X z
otwartymi źródłami dla implementacji X Window System (wolnodostępnych,
mających otwarte źródła i komercyjnych). Projekt jest przeznaczony dla
systemów opartych na XKB.

%prep
%setup -q

%build
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%if "%{_gnu}" != "-gnux32"
	--host=%{_host} \
	--build=%{_host} \
%endif
	--disable-runtime-deps \
	--enable-compat-rules \
	--with-xkb-rules-symlink=xorg \
	--with-xkb-base=%{_datadir}/X11/xkb

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -s /var/lib/xkb $RPM_BUILD_ROOT%{_datadir}/X11/xkb/compiled

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
# it used to be directory in xkbdata
if [ -d %{_datadir}/X11/xkb/symbols/pc ]; then
	mv -b %{_datadir}/X11/xkb/symbols/pc{,.dir}
%banner -e %{name} <<EOF
Check out %{_datadir}/X11/xkb/symbols/pc.dir
for your own files and remove it when done.
EOF
fi
if [ -d %{_datadir}/X11/xkb/compiled ]; then
	rm -rf %{_datadir}/X11/xkb/compiled
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO docs/H* docs/R*
%{_datadir}/X11/xkb
%{_npkgconfigdir}/xkeyboard-config.pc
%{_mandir}/man7/xkeyboard-config.7*
%changelog
* Sun Oct 29 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xkeyboard-config.git;a=log;h=master

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 78742b6
- up to 2.22

* Sat Jun 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 655abf6
- updated to 2.18

* Fri Jan 29 2016 Jakub Bogusz <qboosh@pld-linux.org> 19294f5
- updated to 2.17

* Sun Oct 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 1515a00
- updated to 2.16

* Sun Jun 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 92fcb20
- ifarch doesn't work after BuildArch: noarch, detect x32 by _gnu macro value

* Sun Jun 28 2015 Jakub Bogusz <qboosh@pld-linux.org> b7fd08a
- try simpler way

* Sun Jun 28 2015 Jakub Bogusz <qboosh@pld-linux.org> a4ba0e0
- x32 hack, release 2

* Sun Jun 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 412151f
- updated to 2.15

* Sat Jan 31 2015 Jakub Bogusz <qboosh@pld-linux.org> 4961dc6
- updated to 2.14

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 15fc657
- updated gettext BR

* Thu Oct 02 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 18f8167
- up to 2.13

* Wed May 28 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> adafc3d
- up to 2.12

* Thu Jan 30 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 8b01dce
- up to 2.11

* Fri Oct 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 387192e
- up to 2.10.1

* Wed May 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ca31343
- up to 2.9

* Wed Jan 30 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d30fa3
- up to 2.8

* Wed Sep 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 21d3882
- gettext version
- unified Source0 URL

* Wed Sep 26 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> cbde6af
- up to 2.7

* Wed Feb 01 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 936e5a3
- up to 2.5.1

* Fri Jan 20 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 85b8906
- merged

